odbc_fetch_object
odbc_field_len
ODBC Functions
PHP Manual

# odbc_fetch_row

(PHP 4, PHP 5)

odbc_fetch_row — Fetch a row

### Description

bool odbc_fetch_row ( resource `$result_id` [, int `$row_number` ] )

Fetches a row of the data that was returned by odbc_do() or odbc_exec(). After odbc_fetch_row() is called, the fields of that row can be accessed with odbc_result().

### Parameters

`result_id`

  The result identifier.

`row_number`

  If `row_number` is not specified, odbc_fetch_row() will try to fetch the next row in the result set. Calls to odbc_fetch_row() with and without `row_number` can be mixed.

  To step through the result more than once, you can call odbc_fetch_row() with `row_number` 1, and then continue doing odbc_fetch_row() without `row_number` to review the result. If a driver doesn't support fetching rows by number, the `row_number` parameter is ignored.

### Return Values

Returns `TRUE` if there was a row, `FALSE` otherwise.

odbc_fetch_object
odbc_field_len
ODBC Functions
PHP Manual